Summary: Super NES emulator
Name: snes9x
Version: 1.53
Release: %mkrel 2
Group: Emulators
License: BSD-style
URL: http://code.google.com/p/snes9x-gtk/
Source: http://snes9x-gtk.googlecode.com/files/%{name}-%{version}-src.tar.bz2
BuildRequires: nasm, zlib-devel
BuildRequires: XFree86-devel
BuildRequires: intltool
BuildRequires: gtk2-devel, libglade2-devel
BuildRequires: SDL-devel
BuildRequires: portaudio-devel
BuildRequires: alsa-lib-devel
BuildRequires: pulseaudio-devel

Provides: snes9x-common
Obsoletes: snes9x-common
Provides: snes9x-X
Obsoletes: snes9x-X
Provides: snes9x-binary

%description
Snes9X is a portable, freeware Super Nintendo Entertainment System (SNES)
emulator. It basically allows you to play most games designed for the SNES
and Super Famicom Nintendo game systems on your PC or Workstation.

%package -n %{name}-gtk
Summary:	Graphical User Interface for snes9x
Group:		Emulators

%description -n %{name}-gtk
This packages add a GTK Graphical User Interface to snes9x

%prep
%setup -q -n %{name}-%{version}-src

%build
cd gtk
%configure \
    --without-oss \
    --with-netplay
%make
cd ..
# Second, build the CLI version
cd unix
%configure \
    --enable-netplay
%make
cd ..

%install
rm -rf %{buildroot}
cd gtk
%make_install
cd ..
%find_lang snes9x-gtk
mkdir -p %{buildroot}%{_bindir}
install -m 755 unix/snes9x %{buildroot}%{_bindir}

%files 
%attr(-,root,root) %doc unix/docs/readme_unix.html
%{_bindir}/%{name}

%files -n %{name}-gtk -f snes9x-gtk.lang
%attr(-,root,root) %doc gtk/doc/*
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*


%clean
rm -rf %{buildroot}



%changelog

* Sat Nov 12 2011 zezinho <zezinho> 1.53-2.mga2
+ Revision: 166991
- split gtk gui package

* Fri Nov 11 2011 zezinho <zezinho> 1.53-1.mga2
+ Revision: 166707
- new version

  + dmorgan <dmorgan>
    - Fix buildrequires
    - imported package snes9x


* Thu Jun 21 2007 Guillaume Bedot <littletux@zarb.org> 1.51-1plf2008.0
- release 1.51
- netplay support

* Fri Jul 14 2006 Guillaume Bedot <littletux@zarb.org> 1.5-1plf2007.0
- 1.5
- fix plf reason
- mkrel
- move binary to bindir

* Sun Jan 23 2005 Guillaume Bedot <littletux@zarb.org> 1.43-1plf
- New release 1.43
- rpmbuildupdate aware
- some specs fixes

* Mon Apr 26 2004 Guillaume Bedot <littletux@zarb.org> 1.42-1plf
- update to 1.42

* Sat Jul 26 2003 Michael Scherer <scherer.michael@free.fr> 1.39-10plf 
- fix compilation ( added -Wno-long-long to CFLAGS, patch #0 )

* Tue Jun  3 2003 Götz Waschk <goetz@plf.zarb.org> 1.39-9plf
- fix buildrequires

* Tue Feb 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.39-8plf 
- cleanup
- From Ernst Persson <ernstp@mac.com>
	- Updated for PPC compability


* Tue Jan 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.39-6plf
- remerge -6 change with -5
- reupload the src (was flying in space)
- rebuild

* Sat Sep 14 2002 David Walluck <david@anti-microsoft.org> 1.39-6plf
- 'Provides: snes-binary' should be 'Provides: snes9x-binary'

* Thu Sep 12 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 1.39-5plf
- add a --with svga option for conditional svgalib build

* Tue Sep 10 2002 Götz Waschk <waschk@linux-mandrake.com> 1.39-4plf
- build with svgalib support on mandrake 8.2

* Sat Sep 07 2002 David Walluck <david@anti-microsoft.org> 1.39-3plf
- add 'Provides: snes-binary' to fix GSnes dependency (we could make GSnes
  depend on snes9x now that the svgalib package is removed, but this way 
  is backwards-compatible with old releases)

* Fri Aug 16 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 1.39-2plf
- merge common and X package
- disable svgalib package

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 1.39-2plf
- cleanup

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 1.39-1plf
- release
